gpgme-sharp 3.0.0-beta1

This is a prerelease version of gpgme-sharp.
dotnet add package gpgme-sharp --version 3.0.0-beta1
NuGet\Install-Package gpgme-sharp -Version 3.0.0-beta1
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="gpgme-sharp" Version="3.0.0-beta1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add gpgme-sharp --version 3.0.0-beta1
#r "nuget: gpgme-sharp, 3.0.0-beta1"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install gpgme-sharp as a Cake Addin
#addin nuget:?package=gpgme-sharp&version=3.0.0-beta1&prerelease

// Install gpgme-sharp as a Cake Tool
#tool nuget:?package=gpgme-sharp&version=3.0.0-beta1&prerelease

gpgme-sharp

New in 3.0: 64-bit support on Windows. Requires Gpg4Win 4.2.0 or above.

gpgme-sharp is a C# wrapper around GPGME, the recommended way to use GnuPG within an application. It supports .NET Framework 4.0 and higher, and .NET Core 3.1 and higher.

NuGet version 

Requirements

  • On Windows, you will need to install Gpg4Win. It is recommended to use Gpg4Win 4.2.0 (released 2023-07-14) or above, as this version added a 64-bit build of GPGME.
  • On Debian and Ubuntu, install the libgpgme11 package.
  • On other Linux distros or other operating systems, install libgpgme using your favourite package manager, or compile it from source.

On Windows, gpgme-sharp tries to find the GPGME DLL in your Gpg4Win installation directory, and falls back to the system32 directory. If your libgpgme-11.dll (32-bit) or libgpgme6-11.dll (64-bit) file is located in a different location, you can pass the path to the Context constructor.

Usage

The library can be installed using NuGet:

dotnet add package gpgme-sharp

See the Examples directory in the repo for usage examples.

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp3.1 is compatible. 
.NET Framework net40 is compatible.  net403 was computed.  net45 was computed.  net451 was computed.  net452 was computed.  net46 was computed.  net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
3.0.0-beta1 196 12/6/2023
2.0.3 55,324 3/24/2019
2.0.2 706 2/24/2019
2.0.1 1,562 2/10/2019
2.0.0 690 1/31/2019

Update to support .NET Standard 2.0